## Spectral and Statistical Fingerprints

### 2020

- **Characteristic Functions on Graphs: Birds of a Feather, from Statistical Descriptors to Parametric Models (CIKM 2020)**
  - Benedek Rozemberczki and Rik Sarkar
  - [[Paper]](https://arxiv.org/abs/2005.07959)
  - [[Python Karate Club]](https://github.com/benedekrozemberczki/karateclub/)
  - [[Python Reference]](https://github.com/benedekrozemberczki/FEATHER/)
  
- **Explainable Classification of Brain Networks via Contrast Subgraphs (KDD 2020)**
  - Tommaso Lanciano, Francesco Bonchi, and Aristides Gionis 
  - [[Paper]](https://dl.acm.org/doi/10.1145/3394486.3403383)
  - [[Python Reference]](https://github.com/tlancian/contrast-subgraph)

- **Just SLaQ When You Approximate: Accurate Spectral Distances for Web-Scale Graphs (WWW 2020)**
  - Anton Tsitsulin, Marina Munkhoeva,  and Bryan Perozzi
  - [[Paper]](https://arxiv.org/abs/2003.01282)
  - [[Python Reference]](https://github.com/google-research/google-research/tree/master/graph_embedding/slaq)
  
### 2019

- **A Simple Yet Effective Baseline for Non-Attribute Graph Classification (ICLR RLPM 2019)**
  - Chen Cai and Yusu Wang
  - [[Paper]](https://arxiv.org/abs/1811.03508)
  - [[Python Reference]](https://github.com/Chen-Cai-OSU/LDP)

### 2018

- **Multi-Graph Multi-Label Learning Based on Entropy (Entropy 2018)**
  - Zixuan Zhu and Yuhai Zhao
  - [[Paper]](https://github.com/TonyZZX/MultiGraph_MultiLabel_Learning/blob/master/entropy-20-00245.pdf)
  - [[Python Reference]](https://github.com/TonyZZX/MultiGraph_MultiLabel_Learning)

- **NetLSD: Hearing the Shape of a Graph (KDD 2018)**
  - Anton Tsitsulin, Davide Mottin, Panagiotis Karras, Alex Bronstein, and Emmanuel Müller
  - [[Paper]](https://arxiv.org/abs/1805.10712)
  - [[Python Reference]](https://github.com/xgfs/NetLSD)
  - [[Python Karate Club]](https://github.com/benedekrozemberczki/karateclub/)

- **A Simple Baseline Algorithm for Graph Classification (Relational Representation Learning NIPS 2018)**
  - Nathan de Lara and Edouard Pineau
  - [[Paper]](https://arxiv.org/pdf/1810.09155.pdf)
  - [[Python Karate Club]](https://github.com/benedekrozemberczki/karateclub)
  - [[Python]](https://github.com/edouardpineau/A-simple-baseline-algorithm-for-graph-classification)
  
### 2017

- **Hunt For The Unique, Stable, Sparse And Fast Feature Learning On Graphs (NIPS 2017)**
  - Saurabh Verma and Zhi-Li Zhang
  - [[Paper]](https://papers.nips.cc/paper/6614-hunt-for-the-unique-stable-sparse-and-fast-feature-learning-on-graphs.pdf)
  - [[Matlab Reference]](https://github.com/vermaMachineLearning/FGSD)
  - [[Python Karate Club]](https://github.com/benedekrozemberczki/karateclub/)
  
### 2015

- **Joint Structure Feature Exploration and Regularization for Multi-Task Graph Classification (TKDE 2015)**
  - Shirui Pan, Jia Wu, Xingquan Zhuy, Chengqi Zhang, and Philip S. Yuz
  - [[Paper]](https://ieeexplore.ieee.org/document/7302040)
  - [[Java Reference]](https://github.com/shiruipan/MTG)
  
### 2012

- **NetSimile: A Scalable Approach to Size-Independent Network Similarity (arXiv 2012)**
  - Michele Berlingerio, Danai Koutra, Tina Eliassi-Rad, and Christos Faloutsos
  - [[Paper]](https://arxiv.org/abs/1209.2684)
  - [[Python]](https://github.com/kristyspatel/Netsimile)
